package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * <p>
 * 工时统计-按客户统计
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
@ApiModel(value="TBDingStatisticByCustom对象", description="工时统计-按客户统计")
public class TBDingStatisticByCustom extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceId;

    @ApiModelProperty(value = "服务单元名称")
    private String serviceName;

    @ApiModelProperty(value = "客户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customId;

    @ApiModelProperty(value = "客户名称")
    private String customName;

    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ApiModelProperty(value = "扫描周期（天）")
    private Integer scanPeriod;

    @ApiModelProperty(value = "阅卷周期（天）")
    private Integer markPaperPeriod;

    @ApiModelProperty(value = "累计工时（小时）")
    private BigDecimal workHours;

    @ApiModelProperty(value = "违规工时（天）")
    private Integer violationDays;

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public Long getCustomId() {
        return customId;
    }

    public void setCustomId(Long customId) {
        this.customId = customId;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public Integer getScanPeriod() {
        return scanPeriod;
    }

    public void setScanPeriod(Integer scanPeriod) {
        this.scanPeriod = scanPeriod;
    }

    public Integer getMarkPaperPeriod() {
        return markPaperPeriod;
    }

    public void setMarkPaperPeriod(Integer markPaperPeriod) {
        this.markPaperPeriod = markPaperPeriod;
    }

    public BigDecimal getWorkHours() {
        return workHours;
    }

    public void setWorkHours(BigDecimal workHours) {
        this.workHours = workHours;
    }

    public Integer getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Integer violationDays) {
        this.violationDays = violationDays;
    }
}
